//Crni Cerak Darkside, Crni Cerak Roterdam
#include <iostream>
int main()
{
	std::ios_base::sync_with_stdio(false); 
	std::cin.tie(0);
	int n;
	std::cin >> n;
	int niz[n];
	for(int i = 0; i < n; i++)
		std::cin >> niz[i];
		
	int q;
	std::cin >> q;
	for(int i = 0; i < q; i++)
	{
		int l,r;
		std::cin >> l >> r;
		if(r-l == 0 || r-l == 1)
			std::cout << "DA\n";
		else if(r-l == 2) // 4
		{
			if(niz[l-1] > niz[r-1] && niz[l] > niz[r-1])
				std::cout << "NE\n";
			else
				std::cout << "DA\n";
		}
		else
		{
			if(niz[l-1] >= niz[r-1])
				std::cout << "NE\n";	
			else std::cout << "DA\n";
		}		
	}
	return 0;
}